
CoCoA-5 - Support #1387

John's visit Feb 2020

07 Jan 2020 21:50 - John Abbott

Status: Closed Start date: 07 Jan 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Release Estimated time: 0.50 hour

Target version: CoCoA-5.3.0 Spent time: 0.55 hour

Description

This issue is to gather things to do during John's visit.

Related issues:

Related to CoCoA-5 - Support #1344: Clean out OBSOLESCENT Rejected 17 Oct 2019

Related to CoCoA-5 - Bug #1382: SEGV: should have been harmless Closed 07 Jan 2020

Related to CoCoALib - Slug #1375: Radical 0-dim: varied timings Closed 09 Dec 2019

Related to CoCoALib - Design #1377: CpuTimeLimit: limit "intervals" between f... Closed 13 Dec 2019

Related to CoCoALib - Bug #1362: GBasis verbose mode: some output is on cerr/... Closed 13 Nov 2019

Related to CoCoA-5 - Support #1311: THINGS TO DO IN GENOVA September 2019 Closed 11 Sep 2019

Related to CoCoALib - Design #1389: myZeroPtr and myOnePtr Rejected 09 Jan 2020

Related to CoCoA-5 - Support #1393: GUI with Qt5 Feedback 13 Jan 2020

Related to CoCoALib - Bug #1319: Problem rebuilding dependencies when file PR... Closed 25 Sep 2019

Related to CoCoALib - Feature #1395: SHA checksum for released code Closed 17 Jan 2020

Related to CoCoALib - Support #26: Redmine Administration In Progress 09 Nov 2011

Related to CoCoA-5 - Feature #1358: Emacs UI: should active input line be cle... Closed 30 Oct 2019

Related to CoCoALib - Design #1409: myTestIsPrimary & Co. : fix design Closed 03 Feb 2020

Related to CoCoA-5 - Support #1222: Release CoCoA-5.3.0 Closed 28 Aug 2018

History

#1 - 07 Jan 2020 21:51 - John Abbott

Here is a list of things to do (mostly references to other issues):

fix SEGV bug (#1382)

look at #1375 and #1378   <--- now postponed

finish #1377

finish #1362

#2 - 07 Jan 2020 21:53 - John Abbott

Perhaps arrange for the last few (1, 2, 3?) messages sent to the CoCoA mailing list to be easily accessible from the main website? [remember

that we lost many addresses, so have no way to reach those people directly]

#3 - 09 Jan 2020 10:02 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Here is a list of PREPARATIONS before the visit:

issues which have been in feedback for some time should be closed
https://cocoa.dima.unige.it/redmine/issues/1382
https://cocoa.dima.unige.it/redmine/issues/1375
https://cocoa.dima.unige.it/redmine/issues/1378
https://cocoa.dima.unige.it/redmine/issues/1377
https://cocoa.dima.unige.it/redmine/issues/1362


issues which are resolved should perhaps be closed

issues which we cannot reasonably complete in time should be postponed (beyond 0.99700 or 5.3.0)

if it is unclear whether to postpone an issue, leave it (and we can discuss it)

Possibly some issues with target later than 0.99700/5.3.0 have already reached feedback/resolved; maybe bring these forward?

#4 - 09 Jan 2020 11:31 - John Abbott

- Related to Support #1344: Clean out OBSOLESCENT added

#5 - 09 Jan 2020 11:32 - John Abbott

- Related to Bug #1382: SEGV: should have been harmless added

#6 - 09 Jan 2020 11:32 - John Abbott

- Related to Slug #1375: Radical 0-dim: varied timings added

#7 - 09 Jan 2020 11:32 - John Abbott

- Related to Design #1378: Create two separate radical fns (for 0-dim ideals) added

#8 - 09 Jan 2020 11:32 - John Abbott

- Related to Design #1377: CpuTimeLimit: limit "intervals" between full checks added

#9 - 09 Jan 2020 11:32 - John Abbott

- Related to Bug #1362: GBasis verbose mode: some output is on cerr/clog added

#10 - 09 Jan 2020 11:44 - John Abbott

- Related to Support #1311: THINGS TO DO IN GENOVA September 2019 added

#11 - 09 Jan 2020 12:28 - John Abbott

- Related to Support #1263: Tidy CoCoALib test directory added

#12 - 09 Jan 2020 20:59 - John Abbott

- Related to Design #1389: myZeroPtr and myOnePtr added

#13 - 13 Jan 2020 21:36 - John Abbott

- Related to Support #1393: GUI with Qt5 added

#14 - 14 Jan 2020 21:06 - John Abbott

- Related to Bug #1376: GBasisTimeout: not working as expected added

#15 - 14 Jan 2020 21:33 - John Abbott

- Related to Bug #1319: Problem rebuilding dependencies when file PREPROCESSOR_DEFNS.H does not exist added

#16 - 17 Jan 2020 15:32 - John Abbott

- Related to Feature #1395: SHA checksum for released code added

#17 - 19 Jan 2020 10:52 - John Abbott

- Related to Feature #175: Approximate BuchbergerMoeller: port to CoCoA-5 added

#18 - 26 Jan 2020 09:53 - John Abbott

- Related to Support #26: Redmine Administration added

29 Apr 2024 2/3



#19 - 28 Jan 2020 10:29 - John Abbott

- Related to Feature #1358: Emacs UI: should active input line be cleared before sending line from CoCoA-5 file? added

#20 - 04 Feb 2020 13:38 - John Abbott

- Related to Design #1409: myTestIsPrimary & Co. : fix design added

#21 - 13 Feb 2020 13:57 - John Abbott

- Related to deleted (Support #1263: Tidy CoCoALib test directory)

#22 - 13 Feb 2020 13:59 - John Abbott

- Related to deleted (Feature #175: Approximate BuchbergerMoeller: port to CoCoA-5)

#23 - 14 Feb 2020 10:55 - John Abbott

- Related to deleted (Bug #1376: GBasisTimeout: not working as expected)

#24 - 14 Feb 2020 10:56 - John Abbott

- Related to deleted (Design #1378: Create two separate radical fns (for 0-dim ideals))

#25 - 14 Feb 2020 13:51 - John Abbott

- Related to Support #1222: Release CoCoA-5.3.0 added

#26 - 15 Feb 2020 10:18 - John Abbott

- Assignee set to John Abbott

- % Done changed from 10 to 80

#27 - 17 Feb 2020 14:54 - John Abbott

- % Done changed from 80 to 100

- Estimated time set to 0.50 h

Visit is over.  We managed to do most things  :-)

Closing.

#28 - 21 Feb 2020 14:50 - John Abbott

- Status changed from In Progress to Closed
